<form [formGroup]="form">
  <div class="form-group">
    <label for=""> First Name</label>
    <input (keyup.enter)="createPost(name)" #name formControlName="firstName" id="firstName" type="text"
      class="form-control">
    <div *ngIf="firstName.touched && firstName.invalid" class="alert alert-danger">First Name is
      Required.</div>
  </div>
  <div class="form-group">
    <label for=""> Last Name</label>
    <input formControlName="lastName" id="lastName" type="text" class="form-control">
    <div *ngIf="lastName.touched && lastName.invalid" class="alert alert-danger">Last Name is
      Required.</div>
  </div>
  <div class="form-group">
    <label for="">Delivery Address</label>
    <input formControlName="deliveryAddress" id="deliveryAddress" type="text" class="form-control">
    <div *ngIf="deliveryAddress.touched && deliveryAddress.invalid" class="alert alert-danger">
      Delivery Address is
      Required.</div>
  </div>
  <div class="form-group">
    <label for="">Billing Address</label>
    <input formControlName="billingAddress" id="billingAddress" type="text" class="form-control">
    <div *ngIf="billingAddress.touched && billingAddress.invalid" class="alert alert-danger">
      Billing Address is Required.</div>
  </div>
  <ul class="list-group">
    <li *ngFor="let post of posts" class="list-group-item">
      <button (click)="updatePost(post)" class="btn btn-default btn-sm"></button>
      {{ post.name }}
    </li>
  </ul>

</form>